DASStructureCall (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.das.dasstructure.DASStructureCall class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.das.dasstructure
Class DASStructureCall

    java.lang.Object
      org.biojava.bio.program.das.dasstructure.DASStructureCall

    public class DASStructureCall

extends Object

Calls a DAS - Structure server.

Since:
  1.4
Version:
  %I% %G%
Author:
  Andreas Prlic

Constructor Summary
`DASStructureCall()` Constructs a DASStructureCall object.
`DASStructureCall(String url)` Constructs a DASStructureCall object.

Method Summary
`String` | `getServerurl()` get url of structure service.
`Structure` | `getStructure(String pdb_code)` connect to a DAS structure service and retreive 3D data.
`protected String` | `getTimeStamp()` Returns a time stamp .
`void` | `setServerurl(String s)` set url of structure service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DASStructureCall

    public DASStructureCall()

  Constructs a DASStructureCall object.

### DASStructureCall

    public DASStructureCall(String url)

  Constructs a DASStructureCall object.

  Parameters:
    `url` - a String ...

Method Detail

### getTimeStamp

    protected String getTimeStamp()

  Returns a time stamp .

  Returns:
    a String representing the current system time

### setServerurl

    public void setServerurl(String s)

  set url of structure service.

  Parameters:
    `s` - a String specifying the serverurl value
  See Also:
    `getServerurl()`

### getServerurl

    public String getServerurl()

  get url of structure service.

  Returns:
    a Structure object
  Throws:
    `IOException` - ...
  See Also:
    `setServerurl(java.lang.String)`

### getStructure

    public Structure getStructure(String pdb_code)
                           throws IOException

  connect to a DAS structure service and retreive 3D data. return a biojava Structure object

  Parameters:
    `pdb_code` - a String
  Returns:
    a Structure object
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD